import 'package:get/get.dart';
import 'package:sk_base_mobile/models/user_info.model.dart';
import 'package:sk_base_mobile/screens/hr_manage/components/employee_detail.dart';
import 'package:sk_base_mobile/screens/hr_manage/hr_manage.dart';
import 'package:sk_base_mobile/screens/inventory/inventory.dart';
import 'package:sk_base_mobile/screens/login/login.dart';
import 'package:sk_base_mobile/screens/sale_quotation/sale_quotation.dart';

import '../screens/landing/landing.dart';
import '../screens/mine/useinfo/userinfo.dart';

class RouteConfig {
  static const String home = "/";
  static const String login = '/login';
  static const String userinfo = '/userinfo';
  static const String inventory = '/inventory';
  static const String saleQuotation = '/sale_quotation';
  static const String hrManage = '/hr_manage';
  static const String employeeDetail = '/employee_detail';

  static final List<GetPage> getPages = [
    GetPage(name: login, page: () => LoginScreen()),
    GetPage(name: home, page: () => LandingPage()),
    GetPage(name: userinfo, page: () => UserInfoPage()),
    GetPage(name: inventory, page: () => const InventoryPage()),
    GetPage(name: saleQuotation, page: () => SaleQuotationPage()),
    GetPage(name: hrManage, page: () => HrManagePage()),
    GetPage(name: employeeDetail, page: () => EmployeeDetail())
  ];
}
